# -*- coding: utf-8 -*-
from dspawpy.plot import average_along_axis

axes = ["2"]  # “0”, "1", "2" 分别对应xyz轴向，选择要沿着哪些轴平均
axes_indices = [int(i) for i in axes]
for ai in axes_indices:
    plt = average_along_axis(
        datafile="dspawpy_proj/dspawpy_tests/inputs/3.3/scf.h5",  # 数据文件路径
        task="potential",  # 任务名称，可以是 'rho', 'potential', 'elf', 'pcharge', 'rhoBound'
        axis=ai,  # 沿着哪个轴向绘制势能曲线
        smooth=False,  # 是否平滑
        smooth_frac=0.8,  # 平滑系数
        subtype=None,  # 用于指定task数据子类，目前仅用于 Potential
        label=f"axis{ai}",  # 图例标签
    )
if len(axes_indices) > 1:
    plt.legend()

plt.xlabel("Grid Index")
plt.ylabel("TotalElectrostaticPotential (eV)")
plt.savefig("dspawpy_proj/dspawpy_tests/outputs/us/3pot_ave.png", dpi=300)  # 图片名称
